# revIgniter – what is it

revIgniter is a Web Application Development Framework primarily modeled on CodeIgniter, Ellislab, Inc. This framework is a toolkit for people who build websites using LiveCode. It empowers you to develop web projects in a fraction of time compared to writing LiveCode code from scratch by providing a large number of code libraries addressing frequently needed tasks, as well as a straightforward interface and consequential pattern to access these libraries. revIgniter lets you creatively concentrate on your project by lessen the quantity of code required for a given task.

### Downloading

You can [download released versions of revIgniter](http://revigniter.com/) from the project's website.

### Server Requirements

LiveCode Server or [On-Rev](http://www.on-rev.com/) server engine.

### Installation

Please see the [installation section](http://revigniter.com/userGuide/installation/index.html) of the User Guide.

### Upgrading

For upgrading from a previous version see the [upgrade section](http://revigniter.com/userGuide/installation/upgrading.html) of the User Guide.

### License

For the license terms see `LICENSE.txt` / `NOTICE.txt` files.

### Contributing

Make your contributions to revIgniter in the form of pull requests on the [revIgniter repository](https://github.com/revig/revigniter/) on GitHub.  
revIgniter adheres to the [git-flow](http://nvie.com/posts/a-successful-git-branching-model/) process. This workflow requires that all commits need to be made to "develop" and all pull requests need to be sent to the "develop" branch.  
Please respect the coding conventions used throughout the project (indentation, comments, etc.) and any other requirements. In case your contribution requires the documentation to be extended please read the [documentation guidelines](http://revigniter.com/userGuide/docStyle/index.html) in the User Guide and add to the User Guide whatever is needed.  
Before generating a significant pull request (new features, refactoring code etc.) please ask. Otherwise you risk spending a lot of time on something the project's developers might be reluctant to merge into the project.  
Please note: By sending a pull request to the [revIgniter repository](https://github.com/revig/revigniter/) on GitHub, you certify to a "Developer's Certificate of Origin" as in `DCO.txt` located in the root of this repository. This requires you to sign your work like `git commit --signoff`.

	

### Meta

- Version: 1.6.20
- Web Site: http://revigniter.com/
- User Guide: http://revigniter.com/userGuide/index.html
- Author:  [Ralf Bitter](mailto:rabit@revigniter.com)


